<?php

namespace App;

function child_asset_path(string $asset): string
{
    return get_stylesheet_directory_uri() . '/dist/' . $asset;
}

add_action('wp_enqueue_scripts', function () {
    wp_enqueue_style('astratic/child/public/main.css', child_asset_path('styles/public/main.css'), [],  (wp_get_theme()->get('Version') ?: null));

    wp_enqueue_script('astratic/child/public/manifest.js', child_asset_path('scripts/public/manifest.js'), [], (wp_get_theme()->get('Version') ?: null), true);
    wp_enqueue_script('astratic/child/public/main.js', child_asset_path('scripts/public/main.js'), ['astratic/child/public/vendor.js'], (wp_get_theme()->get('Version') ?: null), true);
}, 200);
